Anonymous Login
2017-04-23 13:52 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001650OpenClonkEnginepublic2017-03-26 14:50
ReporterK-Pone 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64-bit
Product Version 
Target VersionFixed in Version 
Summary0001650: Ingame Crash
DescriptionThe game crashed while in a league network game. Crashdump and Log is attached.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004856

Isilkor (developer)

0 nvoglv64!DrvPresentBuffers+0xe1280 (very high offset: function probably misidentified)
  1 nvoglv64+0x7896d1 (very high offset: function probably misidentified)
  2 nvoglv64+0x5c175b (very high offset: function probably misidentified)
  3 openclonk!_M_manager [/usr/lib/gcc/x86_64-w64-mingw32/4.9-win32/include/c++/functional:1922]
  4 openclonk!C4FoWLightSection::transTriangles(std::list<C4FoWBeamTriangle, std::allocator<C4FoWBeamTriangle> >&) const [src/landscape/fow/C4FoWLightSection.cpp:799]
  5 openclonk!C4FoWAmbient::GetFragTransform(FLOAT_RECT const&, C4Rect const&, C4Rect const&, float*) const [src/landscape/fow/C4FoWAmbient.cpp:216]
  6 openclonk!std::vector<unsigned int, std::allocator<unsigned int> >::size() const [/usr/lib/gcc/x86_64-w64-mingw32/4.9-win32/include/c++/bits/stl_vector.h:655]
  7 openclonk!C4Effect::ClearAll(C4Object*, int) [src/gamescript/C4Effect.cpp:360]
  8 openclonk!C4ValueArray::IncRef() [src/script/C4ValueArray.h:70]
  9 openclonk!C4Value::DelDataRef(C4V_Data, C4V_Type, C4Value*) [src/script/C4Value.h:295]
 10 openclonk!C4Viewport::UpdateBordersY() [src/game/C4Viewport.cpp:618]
 11 openclonk!C4Application::Clear() [src/game/C4Application.cpp:612]
 12 openclonk!alutSleep+0x829ba (very high offset: function probably misidentified)
 13 openclonk!alutSleep+0x82097 (very high offset: function probably misidentified)
 14 openclonk!StdBuf::Grow(unsigned long long) [src/lib/StdBuf.h:187]
 15 openclonk!GenerateDump(_EXCEPTION_POINTERS*) [src/platform/C4CrashHandlerWin32.cpp:439]
 16 openclonk!SafeTextDump [src/platform/C4CrashHandlerWin32.cpp:356]
 17 openclonk!SafeTextDump [src/platform/C4CrashHandlerWin32.cpp:151]
 18 kernel32!BaseThreadInitThunk+0xd
 19 ntdll!RtlUserThreadStart+0x21

~0005637

Isilkor (developer)

We may have inadvertently fixed this; this kind of crash has not occurred recently.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-23 19:43 K-Pone New Issue
2016-01-23 19:43 K-Pone File Added: OpenClonk.log
2016-01-23 19:43 K-Pone File Added: openclonk-crash-2016-01-23-18-38-24.dmp
2016-01-23 20:37 Isilkor Note Added: 0004856
2017-03-26 14:50 Isilkor Status new => resolved
2017-03-26 14:50 Isilkor Resolution open => fixed
2017-03-26 14:50 Isilkor Note Added: 0005637
+Issue History